Bug 1397142 - Module Build Service
Summary: Module Build Service
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact:
URL:
Whiteboard: ChangeAcceptedF26, SelfContainedChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-21 17:32 UTC by Jan Kurik
Modified: 2017-07-25 17:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-25 17:04:22 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2016-11-21 17:32:37 UTC
This is a tracking bug for Change: Module Build Service
For more details, see: https://fedoraproject.org//wiki/Changes/ModuleBuildService

We will deploy an instance of the Module Build Service to production in Fedora Infrastructure.  Other teams will use this service to produce some "modular" content for the Fedora 26 release.

Comment 1 Jan Kurik 2017-02-28 10:08:16 UTC
On 2017-Feb-28, we have reached the Fedora 26 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Mar-03 meeting.

Comment 2 Fedora End Of Life 2017-02-28 10:38:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Jan Kurik 2017-03-01 09:45:59 UTC
May I ask for status update on this Change, as requested in Comment #1 ?

Comment 4 Ralph Bean 2017-03-01 18:53:59 UTC
Yes.  We've been blocked on a security audit by Fedora Infrastructure but just got passed that.  We're working on the production deployment now.

Comment 5 Ralph Bean 2017-03-03 19:01:52 UTC
All right, we're in production here:

https://mbs.fedoraproject.org/

The first testmodule build results are here:

https://mbs.fedoraproject.org/module-build-service/1/module-builds/29?verbose=1

And, as requested by FESCo, this is locked down to only members of the modularity-wg group for the F26 cycle:

https://infrastructure.fedoraproject.org/cgit/ansible.git/tree/roles/mbs/common/templates/config.py#n81

Comment 6 Jan Kurik 2017-05-17 09:12:58 UTC
On 2017-May-16 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 26 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan


Note You need to log in before you can comment on or make changes to this bug.